Create Engagement Account Group - MindBridge Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create Engagement Account Group
POST /v1/engagement-account-groups
cURL
curl --request POST \
--url https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagementAccountGroupingId": "<string>",
"code": "<string>",
"description": {},
"parentCode": "<string>",
"hidden": true,
"macCode": "<string>",
"alias": "<string>"
}
'
Python
import requests
url = "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups"
payload = {
"engagementAccountGroupingId": "<string>",
"code": "<string>",
"description": {},
"parentCode": "<string>",
"hidden": True,
"macCode": "<string>",
"alias": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagementAccountGroupingId: '<string>',
code: '<string>',
description: {},
parentCode: '<string>',
hidden: true,
macCode: '<string>',
alias: '<string>'
})
};
fetch('https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'engagementAccountGroupingId' => '<string>',
'code' => '<string>',
'description' => [
],
'parentCode' => '<string>',
'hidden' => true,
'macCode' => '<string>',
'alias' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups"
payload := strings.NewReader("{\n \"engagementAccountGroupingId\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": {},\n \"parentCode\": \"<string>\",\n \"hidden\": true,\n \"macCode\": \"<string>\",\n \"alias\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.post("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"engagementAccountGroupingId\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": {},\n \"parentCode\": \"<string>\",\n \"hidden\": true,\n \"macCode\": \"<string>\",\n \"alias\": \"<string>\"}\n")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://{tenant}.mindbridge.ai/api/v1/engagement-account-groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"engagementAccountGroupingId\": \"<string>\",\n \"code\": \"<string>\",\n \"description\": {},\n \"parentCode\": \"<string>\",\n \"hidden\": true,\n \"macCode\": \"<string>\",\n \"alias\": \"<string>\"}\n"
response = http.request(request)
puts response.read_body
Response (201 - application/json)
{
"id": "<string>",
"engagementAccountGroupingId": "<string>",
"code": "<string>",
"description": {},
"lowestLevel": true,
"hierarchy": [
"<string>"
],
"parentCode": "<string>",
"macCode": "<string>",
"accountTags": [
"<string>"
],
"publishedDate": "2023-11-07T05:31:56Z",
"orderIndex": 123,
"errors": [
{
"arguments": [
"<string>"
]
}
],
"hidden": true,
"alias": "<string>"
}
Authorizations
Authorization
string- header
- required
- Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Body
application/json
engagementAccountGroupingId
string- required
- The unique identifier for the engagement account grouping that the engagement account group belongs to.
code
string- required
- The account code for this account group.
- Minimum string length:
1
description
object- required
- A description of the account code for this account group.
parentCode
string- required
- The parent code for this account group.
hidden
boolean- required
- When
truethis account is hidden, and can't be used in account mapping. Additionally, this account won't be suggested when automatically mapping accounts during file import.
macCode
string- The MAC code mapped to this account group.
alias
string- A replacement value used when displaying the account description.
- This does not have any effect on automatic column mapping.